layoutCryptShrine.mHOs = 
{
	[objectHoSpecimen01] = 
	{
		siblings = {objectHoSpecimen01Lit, objectHoSpecimen01Pocket}
	},
	[objectHoHmSlidingPiece02] = 
	{
		siblings = {objectHoHmSlidingPiece02Lit, objectHoHmSlidingPiece02Pocket},
	},	
}
layoutCryptShrine.mIOs = 
{
	[objectIoHitareaChristine] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHitareaOperation] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHitareaFamily] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHitareaNerve] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHitareaCrash] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHitareaTeam] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHitareaFire] =
	{
		cursors = kCursorDefault,
	},		
	[objectIoHeadlineChristine] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHeadlineOperation] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHeadlineFamily] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHeadlineNerve] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHeadlineCrash] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHeadlineTeam] =
	{
		cursors = kCursorDefault,
	},
	[objectIoHeadlineFire] =
	{
		cursors = kCursorDefault,
	}						
}
-- ----------------------------------------------------------------------------
layoutCryptShrine.mFirstTime = true
-- ----------------------------------------------------------------------------
layoutCryptShrine.mHitAreas = 
{
	objectIoHitareaChristine, objectIoHitareaOperation, objectIoHitareaFamily,
	objectIoHitareaNerve, objectIoHitareaCrash, objectIoHitareaTeam, 
	objectIoHitareaFire,
}
layoutCryptShrine.mHeadlines = 
{
	objectIoHeadlineChristine, objectIoHeadlineOperation, objectIoHeadlineFamily,
	objectIoHeadlineNerve, objectIoHeadlineCrash, objectIoHeadlineTeam, 
	objectIoHeadlineFire,
}
-- ----------------------------------------------------------------------------
function layoutCryptShrine:onConstruct()
	
	Layout.onConstruct(self)
	
end
-- ----------------------------------------------------------------------------
function layoutCryptShrine:onInitialize()

	Layout.onInitialize(self)
	
end
-- ----------------------------------------------------------------------------
function layoutCryptShrine:onShow()

	Layout.onShow(self)

	for i, area in ipairs(self.mHitAreas) do
		area:ss(kActive)
	end
	
	for i, headline in ipairs(self.mHeadlines) do
		headline:ss(kInactive)
	end	
	
	if (self.mFirstTime) then	
    	think("MESSAGE_MEMO_HEADLINES")	
		self.mFirstTime = false
	end	

end
-- ----------------------------------------------------------------------------
function layoutCryptShrine:onClickHO(object, x, y)

	if (object == objectHoSpecimen01 and objectHoSpecimen01:isActive()) then
		objectSpecimen01Crypt:ss(kDone)
	end

	return Layout.onClickHO(self, object, x, y)
end
-- ----------------------------------------------------------------------------
function layoutCryptShrine:onClickIO(object, x, y)

	local index = nil
	local close = nil
	
	for i, area in ipairs(self.mHitAreas) do
		if (area == object) then
			index = i
			close = false
			break	
		end
	end
	
	for i, headline in ipairs(self.mHeadlines) do
		if (headline == object) then
			index = i
			close = true
		end
	end
	
	if (index) then
		if (close) then
			self.mHeadlines[index]:ss(kInactive)
			playAudioTrack("MANUAL_PAGE")
			return true, false, false
		else
			for i, headline in ipairs(self.mHeadlines) do
				headline:ss(kInactive)
			end		
			self.mHeadlines[index]:ss(kActive)
			playAudioTrack("MANUAL_PAGE")
			return true, false, false
		end
	end

end